## qt6-svg 6.2.4

=== tests/CMakeLists.txt ===
# Generated from tests.pro.

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

qt_build_tests()

=== src/svg/CMakeLists.txt ===
# Generated from svg.pro.

#####################################################################
## Svg Module:
#####################################################################

# special case begin
# Handle the conditional finding of either system zlib or qt zlib.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 COMPONENTS ZlibPrivate)
elseif(NOT TARGET WrapZLIB::WrapZLIB)
    qt_find_package(WrapZLIB PROVIDED_TARGETS WrapZLIB::WrapZLIB)
endif()
# special case end

qt_internal_add_module(Svg
    SOURCES
        qsvgfont.cpp qsvgfont_p.h
        qsvggenerator.cpp qsvggenerator.h
        qsvggraphics.cpp qsvggraphics_p.h
        qsvghandler.cpp qsvghandler_p.h
        qsvgnode.cpp qsvgnode_p.h
        qsvgrenderer.cpp qsvgrenderer.h
        qsvgstructure.cpp qsvgstructure_p.h
        qsvgstyle.cpp qsvgstyle_p.h
        qsvgtinydocument.cpp qsvgtinydocument_p.h
        qtsvgglobal.h
    DEFINES
        QT_NO_USING_NAMESPACE
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(Svg CONDITION MSVC AND (TEST_architecture_arch STREQUAL "i386")
    LINK_OPTIONS
        "/BASE:0x66000000"
)

#### Keys ignored in scope 4:.:.:svg.pro:solaris-cc_x_:
# QMAKE_CXXFLAGS_RELEASE = "--O2"

qt_internal_extend_target(Svg CONDITION QT_FEATURE_system_zlib
    LIBRARIES
        WrapZLIB::WrapZLIB
)

qt_internal_extend_target(Svg CONDITION NOT QT_FEATURE_system_zlib
    LIBRARIES
        Qt::ZlibPrivate
)
qt_internal_add_docs(Svg
    doc/qtsvg.qdocconf
)

=== tests/auto/qicon_svg/CMakeLists.txt ===
# Generated from qicon_svg.pro.

#####################################################################
## tst_qicon_svg Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    icons/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qicon_svg
    LOWDPI # special case
    SOURCES
        tst_qicon_svg.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
    TESTDATA ${test_data}
)

# Resources:
set(tst_qicon_svg_resource_files
    "./icons/heart.svg"
    "./icons/heart.svgz"
    "./icons/image.png"
    "./icons/rect.svg"
    "./icons/rect_size_100percent.svg"
    "./icons/trash.svg"
    "./icons/triangle.svg"
)

qt_internal_add_resource(tst_qicon_svg "tst_qicon_svg"
    PREFIX
        "/"
    FILES
        ${tst_qicon_svg_resource_files}
)

=== tests/auto/qsvgplugin/CMakeLists.txt ===
# Generated from qsvgplugin.pro.

#####################################################################
## tst_qsvgplugin Test:
#####################################################################

# Collect test data
qt_internal_add_test(tst_qsvgplugin
    SOURCES
        tst_qsvgplugin.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
        Qt::Widgets
)

# Resources:
set(resources_resource_files
    "imageInclude.svg"
    "imageIncludeA.svg"
    "square.svg"
    "square_size.svg"
    "square_size_viewbox.svg"
    "square_viewbox.svg"
    "tall.svg"
    "tall_size.svg"
    "tall_size_viewbox.svg"
    "tall_viewbox.svg"
    "wide.svg"
    "wide_size.svg"
    "wide_size_viewbox.svg"
    "wide_viewbox.svg"
    "simple_Utf8.svg"
    "simple_Utf16LE.svg"
    "simple_Utf16BE.svg"
    "simple_Utf32LE.svg"
    "simple_Utf32BE.svg"
)

qt_internal_add_resource(tst_qsvgplugin "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

=== tests/auto/qsvgrenderer/CMakeLists.txt ===
# Generated from qsvgrenderer.pro.

#####################################################################
## tst_qsvgrenderer Test:
#####################################################################

qt_internal_add_test(tst_qsvgrenderer
    SOURCES
        tst_qsvgrenderer.cpp
    DEFINES
        SRCDIR=\\\"${CMAKE_CURRENT_SOURCE_DIR}/\\\"
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
        Qt::Widgets
)

# Resources:
set(resources_resource_files
    "heart.svgz"
    "large.svg"
    "large.svgz"
)

qt_internal_add_resource(tst_qsvgrenderer "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

=== examples/svg/embedded/weatherinfo/CMakeLists.txt ===
# Generated from weatherinfo.pro.

cmake_minimum_required(VERSION 3.16)
project(svgweatherinfo LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/embedded/weatherinfo")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS Svg)
find_package(Qt6 COMPONENTS SvgWidgets)

qt_add_executable(svgweatherinfo
    weatherinfo.cpp
)
set_target_properties(svgweatherinfo PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(svgweatherinfo PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Svg
    Qt::SvgWidgets
    Qt::Widgets
)


# Resources:
set(weatherinfo_resource_files
    "icons/weather-few-clouds.svg"
    "icons/weather-fog.svg"
    "icons/weather-haze.svg"
    "icons/weather-icy.svg"
    "icons/weather-overcast.svg"
    "icons/weather-showers.svg"
    "icons/weather-sleet.svg"
    "icons/weather-snow.svg"
    "icons/weather-storm.svg"
    "icons/weather-sunny-very-few-clouds.svg"
    "icons/weather-sunny.svg"
    "icons/weather-thundershower.svg"
)

qt6_add_resources(svgweatherinfo "weatherinfo"
    PREFIX
        "/"
    FILES
        ${weatherinfo_resource_files}
)

install(TARGETS svgweatherinfo
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/iconengines/svgiconengine/CMakeLists.txt ===
# Generated from svgiconengine.pro.

#####################################################################
## QSvgIconPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QSvgIconPlugin
    OUTPUT_NAME qsvgicon
    PLUGIN_TYPE iconengines
    SOURCES
        main.cpp
        qsvgiconengine.cpp qsvgiconengine.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
)

#### Keys ignored in scope 1:.:.:svgiconengine.pro:<TRUE>:
# OTHER_FILES = "qsvgiconengine.json" "qsvgiconengine-nocompress.json"
# PLUGIN_EXTENDS = "svg"

=== debian/changelog ===
qt6-svg (6.2.4-1ubuntu1) jammy; urgency=medium

  * Merge from debian. Remaining changes:
    - 

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Apr 2022 11:29:30 +0100

qt6-svg (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Tue, 29 Mar 2022 20:42:55 +0200

qt6-svg (6.2.2-2ubuntu1) jammy; urgency=medium

  * Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Feb 2022 20:06:15 +0000

qt6-svg (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:15:00 +0100

qt6-svg (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Update descriptions.
  * List cmake files in detail.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 09:29:20 +0100

qt6-svg (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 02:36:38 +0100

qt6-svg (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #998370)

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Nov 2021 03:27:06 +0100

=== debian/control ===
Source: qt6-svg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
Rules-Requires-Root: no

Package: libqt6svg6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SVG library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains Qt 6 SVG library.

Package: libqt6svgwidgets6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SVG Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML
 .
 This package contains Qt 6 SVG Widgets library.

Package: libqt6svg6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6svg6 (= ${binary:Version}),
         libqt6svgwidgets6 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 SVG - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the header development files used for building Qt 6
 applications using QtSvg library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
	
execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-svg 6.3.1

=== debian/changelog ===
qt6-svg (6.3.1-2ubuntu1) kinetic; urgency=medium

  * Mark a ppc64el symbol optional to fix FTBFS on launchpad buildds.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Aug 2022 09:13:54 +0100

qt6-svg (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:56 +0200

qt6-svg (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:32:16 +0200

qt6-svg (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 May 2022 21:07:20 +0200

qt6-svg (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: qt6-svg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git

## qt6-svg 6.4.2

=== CMakeLists.txt ===
# Generated from qtsvg.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtSvg
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt SVG Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Widgets Xml) # special case

# Needed for examples to configure properly when not using ExternalProject and when
# Qt is configured with a bundled zlib.
# Otherwise Qt6SvgDependencies will claim Qt6ZlibPrivate_FOUND is FALSE because we
# set QT_NO_CREATE_TARGETS to TRUE when building examples in-tree.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS ZlibPrivate)
endif()

qt_build_repo()

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(svg)

qt_examples_build_end()

=== examples/svg/CMakeLists.txt ===
add_subdirectory(embedded)
add_subdirectory(richtext)
add_subdirectory(draganddrop)
if(TARGET Qt::Widgets)
    qt_internal_add_example(embeddedsvgviewer)
    qt_internal_add_example(svggenerator)
    qt_internal_add_example(svgviewer)
endif()

=== src/svg/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,8 @@
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
         Qt::GuiPrivate
+    GENERATE_CPP_EXPORTS
+    GENERATE_PRIVATE_CPP_EXPORTS
 )
 
 ## Scopes:

=== src/svgwidgets/CMakeLists.txt ===
# Generated from svgwidgets.pro.

#####################################################################
## SvgWidgets Module:
#####################################################################

qt_internal_add_module(SvgWidgets
    SOURCES
        qsvgwidget.cpp qsvgwidget.h
        qtsvgwidgetsglobal.h
    DEFINES
        QT_NO_USING_NAMESPACE
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::WidgetsPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Svg
        Qt::Widgets
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::WidgetsPrivate
    GENERATE_CPP_EXPORTS
)

qt_internal_extend_target(SvgWidgets CONDITION QT_FEATURE_graphicsview
    SOURCES
        qgraphicssvgitem.cpp qgraphicssvgitem.h
)

## Scopes:
#####################################################################

qt_internal_extend_target(SvgWidgets CONDITION MSVC AND (TEST_architecture_arch STREQUAL "i386")
    LINK_OPTIONS
        "/BASE:0x66000000"
)

=== tests/auto/CMakeLists.txt ===

# For now, don't built auto tests when QT_BUILD_MINIMAL_STATIC_TEST
# is specified and the build is targeting iOS. QT_BUILD_MINIMAL_STATIC_TEST is used in our CI.
# Regular non-cmake build tests shouldn't be built because the CI will try to run them and fail
# due to missing simulator support.
if(IOS AND QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()

if(TARGET Qt::Widgets)
    add_subdirectory(qsvgdevice)
    if(TARGET Qt::Xml) # special case
        add_subdirectory(qsvggenerator) # special case
    endif() # special case
    add_subdirectory(qsvgplugin)
    add_subdirectory(qicon_svg)
    # add_subdirectory(cmake) # special case remove
    # add_subdirectory(installed_cmake) # special case remove
endif()
if(TARGET Qt::Widgets AND NOT ANDROID)
    add_subdirectory(qsvgrenderer)
endif()

=== examples/svg/embeddedsvgviewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(embeddedsvgviewer LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/embeddedsvgviewer")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Svg Widgets)

qt_add_executable(embeddedsvgviewer
    embeddedsvgviewer.cpp embeddedsvgviewer.h
    main.cpp
)

set_target_properties(embeddedsvgviewer PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(embeddedsvgviewer PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Svg
    Qt::Widgets
)

# Resources:
set(embeddedsvgviewer_resource_files
    "files/default.svg"
    "files/v-slider-handle.svg"
)

qt6_add_resources(embeddedsvgviewer "embeddedsvgviewer"
    PREFIX
        "/"
    FILES
        ${embeddedsvgviewer_resource_files}
)

install(TARGETS embeddedsvgviewer
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/svg/richtext/CMakeLists.txt ===
if(TARGET Qt::Widgets)
    qt_internal_add_example(textobject)
endif()

=== examples/svg/svgviewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(svgviewer LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/svgviewer")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Svg SvgWidgets Widgets)

qt_add_executable(svgviewer
    exportdialog.cpp exportdialog.h
    main.cpp
    mainwindow.cpp mainwindow.h
    svgview.cpp svgview.h
)

set_target_properties(svgviewer PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(svgviewer PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Svg
    Qt::SvgWidgets
    Qt::Widgets
)

# Resources:
set(svgviewer_resource_files
    "files/bubbles.svg"
)

qt6_add_resources(svgviewer "svgviewer"
    PREFIX
        "/"
    FILES
        ${svgviewer_resource_files}
)

if(TARGET Qt::OpenGL AND TARGET Qt::OpenGLWidgets)
    target_compile_definitions(svgviewer PUBLIC
        USE_OPENGLWIDGETS
    )

    target_link_libraries(svgviewer PUBLIC
        Qt::OpenGL
        Qt::OpenGLWidgets
    )
endif()

install(TARGETS svgviewer
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.16)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  Svg QSvgRenderer
)

=== tests/auto/qsvggenerator/CMakeLists.txt ===
# Generated from qsvggenerator.pro.

#####################################################################
## tst_qsvggenerator Test:
#####################################################################

qt_internal_add_test(tst_qsvggenerator
    SOURCES
        tst_qsvggenerator.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Svg
        Qt::Widgets
        Qt::Xml
)

# Resources:
set(qmake_immediate_resource_files
    "referenceSvgs/fileName_output.svg"
    "referenceSvgs/radial_gradient.svg"
)

qt_internal_add_resource(tst_qsvggenerator "qmake_immediate"
    PREFIX
        "/"
    FILES
        ${qmake_immediate_resource_files}
)

=== examples/svg/embedded/desktopservices/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(desktopservices LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/svg/embedded/desktopservices")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(desktopservices
    contenttab.cpp contenttab.h
    desktopwidget.cpp desktopwidget.h
    linktab.cpp linktab.h
    main.cpp
)

set_target_properties(desktopservices PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(desktopservices PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

# Resources:
set(desktopservices_resource_files
    "resources/browser.png"
    "resources/message.png"
    "resources/music.png"
    "resources/photo.png"
)

qt6_add_resources(desktopservices "desktopservices"
    PREFIX
        "/"
    FILES
        ${desktopservices_resource_files}
)

install(TARGETS desktopservices
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-svg (6.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to solve CVE-2023-32573.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 10:48:50 -0300

qt6-svg (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:40:19 +0100

qt6-svg (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6svg6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:27:16 +0100

qt6-svg (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:06 +0100

qt6-svg (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:45 +0100

qt6-svg (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Rename libqt6svg6-dev to qt6-svg-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:56:36 +0100

qt6-svg (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015623).
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023074).

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 16:58:45 +0100

qt6-svg (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to ensure we get .pc files.
  * Add debian/.gitignore and debian/.git-attributes.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Oct 2022 20:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: qt6-svg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
@@ -52,13 +51,16 @@
  .
  This package contains Qt 6 SVG Widgets library.
 
-Package: libqt6svg6-dev
+Package: qt6-svg-dev
+Provides: libqt6svg6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6svg6 (= ${binary:Version}),
          libqt6svgwidgets6 (= ${binary:Version}),
          ${misc:Depends},
+Breaks: libqt6svg6-dev (<< 6.4.1~)
+Replaces: libqt6svg6-dev (<< 6.4.1~)
 Description: Qt 6 SVG - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)
	
execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-svg 6.6.1

=== debian/changelog ===
qt6-svg (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:41:31 +0100

qt6-svg (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 18:14:15 +0200

qt6-svg (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Use the (symver) directive to catch all private symbols.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Oct 2023 00:35:00 +0200

qt6-svg (6.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add doc-base entry.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Jul 2023 09:07:58 -0300

qt6-svg (6.4.2-3) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 18:38:00 -0300

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
                zlib1g-dev,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
@@ -23,8 +24,8 @@
 Package: libqt6svg6
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 SVG library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -39,7 +40,7 @@
 Package: libqt6svgwidgets6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 SVG Widgets library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -52,15 +53,15 @@
  This package contains Qt 6 SVG Widgets library.
 
 Package: qt6-svg-dev
-Provides: libqt6svg6-dev (= ${binary:Version})
+Provides: libqt6svg6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6svg6 (= ${binary:Version}),
          libqt6svgwidgets6 (= ${binary:Version}),
          ${misc:Depends},
-Breaks: libqt6svg6-dev (<< 6.4.1~)
-Replaces: libqt6svg6-dev (<< 6.4.1~)
+Breaks: libqt6svg6-dev (<< 6.4.1~),
+Replaces: libqt6svg6-dev (<< 6.4.1~),
 Description: Qt 6 SVG - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -72,3 +73,48 @@
  .
  This package contains the header development files used for building Qt 6
  applications using QtSvg library.
+
+Package: qt6-svg-doc
+Architecture: all
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 SVG documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 6 SVG.
+
+Package: qt6-svg-doc-html
+Architecture: all
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 SVG HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 6 SVG.
+
+Package: qt6-svg-doc-dev
+Architecture: all
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 svg tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the doxygen tags files for the qt SVG
+ documentation.
+
+Package: qt6-svg-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 SVG examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt SVG submodule.

## qt6-svg 6.6.2

=== src/svgwidgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-# Generated from svgwidgets.pro.
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
 
 #####################################################################
 ## SvgWidgets Module:

=== debian/changelog ===
qt6-svg (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:42:27 +0200

qt6-svg (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 20:21:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,

## qt6-svg 6.7.2

=== debian/changelog ===
qt6-svg (6.7.2-6) unstable; urgency=medium

  * Source-only upload to allow the package to migrate to testing.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Dec 2024 22:42:07 +0100

qt6-svg (6.7.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Split out plugins into new binary package qt6-svg-plugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Dec 2024 12:46:27 +0100

qt6-svg (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:06:59 +0200

qt6-svg (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:05:07 +0200

qt6-svg (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add package for the private headers.
  * Remove qt6-svg-examples as the examples are currently not built and
    the package is empty.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 18:40:28 +0200

qt6-svg (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 12:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,19 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
 Rules-Requires-Root: no
 
 Package: libqt6svg6
+Provides: qt6-svg-private-abi (= 6.7.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -52,6 +53,23 @@
  .
  This package contains Qt 6 SVG Widgets library.
 
+Package: qt6-svg-plugins
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6svg6 (<< 6.7.2-5~),
+Replaces: libqt6svg6 (<< 6.7.2-5~),
+Description: Qt 6 SVG library plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The QtSvg module provides classes for displaying the contents of SVG files.
+ .
+ Scalable Vector Graphics (SVG) is a language for describing two-dimensional
+ graphics and graphical applications in XML.
+ .
+ This package contains Qt 6 SVG library plugins.
+
 Package: qt6-svg-dev
 Provides: libqt6svg6-dev (= ${binary:Version}),
 Architecture: any
@@ -73,6 +91,26 @@
  .
  This package contains the header development files used for building Qt 6
  applications using QtSvg library.
+
+Package: qt6-svg-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: qt6-svg-dev (= ${binary:Version}),
+         ${misc:Depends},
+Description: Qt 6 SVG - private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The QtSvg module provides classes for displaying the contents of SVG files.
+ .
+ Scalable Vector Graphics (SVG) is a language for describing two-dimensional
+ graphics and graphical applications in XML.
+ .
+ This package contains the private development files used for building Qt 6
+ applications using QtSvg library.
+ .
+ Use at your own risk.
 
 Package: qt6-svg-doc
 Architecture: all
@@ -107,14 +145,3 @@
  .
  This package contains the doxygen tags files for the qt SVG
  documentation.
-
-Package: qt6-svg-examples
-Architecture: any
-Multi-Arch: same
-Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 SVG examples
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the examples for the Qt SVG submodule.

## qt6-svg 6.8.0

=== debian/changelog ===
qt6-svg (6.8.0-0deepin1) UNRELEASED; urgency=medium

  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.8.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove qt6-svg-examples as the examples are currently not built and
    the package is empty.
  * Add package for the private headers.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 18 Oct 2024 15:36:04 +0800

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,20 @@
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
 Rules-Requires-Root: no
 
 Package: libqt6svg6
-Provides: qt6-svg-private-abi (= 6.7.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -52,23 +51,6 @@
  graphics and graphical applications in XML
  .
  This package contains Qt 6 SVG Widgets library.
-
-Package: qt6-svg-plugins
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6svg6 (<< 6.7.2-5~),
-Replaces: libqt6svg6 (<< 6.7.2-5~),
-Description: Qt 6 SVG library plugins
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtSvg module provides classes for displaying the contents of SVG files.
- .
- Scalable Vector Graphics (SVG) is a language for describing two-dimensional
- graphics and graphical applications in XML.
- .
- This package contains Qt 6 SVG library plugins.
 
 Package: qt6-svg-dev
 Provides: libqt6svg6-dev (= ${binary:Version}),
@@ -145,3 +127,4 @@
  .
  This package contains the doxygen tags files for the qt SVG
  documentation.
+

## qt6-svg 6.8.1

=== debian/changelog ===
qt6-svg (6.8.1-0ubuntu2) plucky; urgency=medium

  * Sync debian changes from 6.7.2-5, moving plugins to new binary
    package qt6-svg-plugins.
  * Update Breaks/Replaces to suit Ubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Dec 2024 14:31:06 +0000

qt6-svg (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:50:50 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: qt6-svg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-svg.git
 Rules-Requires-Root: no
 
 Package: libqt6svg6
+Provides: qt6-svg-private-abi (= 6.8.1),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -52,6 +54,23 @@
  .
  This package contains Qt 6 SVG Widgets library.
 
+Package: qt6-svg-plugins
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6svg6 (<< 6.8.1-0ubuntu2~),
+Replaces: libqt6svg6 (<< 6.8.1-0ubuntu2~),
+Description: Qt 6 SVG library plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The QtSvg module provides classes for displaying the contents of SVG files.
+ .
+ Scalable Vector Graphics (SVG) is a language for describing two-dimensional
+ graphics and graphical applications in XML.
+ .
+ This package contains Qt 6 SVG library plugins.
+
 Package: qt6-svg-dev
 Provides: libqt6svg6-dev (= ${binary:Version}),
 Architecture: any
@@ -78,8 +97,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: qt6-svg-dev (= ${binary:Version}),
-         ${misc:Depends},
+Depends: qt6-svg-dev (= ${binary:Version}), ${misc:Depends},
 Description: Qt 6 SVG - private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -127,4 +145,3 @@
  .
  This package contains the doxygen tags files for the qt SVG
  documentation.
-
